接口参考平台设置与数据备份
平台数据备份列表
GET /api/admin/v1/platform-backups,listPlatformBackups 的请求参数和响应结构。
GET /api/admin/v1/platform-backups
| 项目 | 内容 |
|---|---|
| 操作标识 | listPlatformBackups |
| 认证 | 登录会话 Cookie |
平台数据管理:要求 system.manage;包含全部租户数据,普通租户不可访问。写操作要求 Origin 和 CSRF。恢复采用离线流程,不覆盖运行中的业务库。
请求参数
| 名称 | 位置 | 必填 | 类型 | 说明与约束 |
|---|---|---|---|---|
| page | query | 否 | integer | 最小值 1 |
| page_size | query | 否 | integer | 最小值 1;最大值 100 |
响应
| HTTP 状态 | 含义 |
|---|---|
| 200 | 成功 |
| 400 | 错误 |
| 401 | 错误 |
| 403 | 错误 |
| 404 | 错误 |
| 409 | 错误 |
| 502 | 错误 |
| 503 | 错误 |
200 · application/json 响应结构
| 字段 | 类型 | 必填 | 说明与约束 |
|---|---|---|---|
| data | PlatformBackup[] | 是 | — |
| request_id | string | 是 | — |
| meta | PageInfo | 是 | — |
{
"$ref": "#/$defs/PlatformBackupListResponse",
"$defs": {
"PlatformBackupListResponse": {
"type": "object",
"additionalProperties": false,
"properties": {
"data": {
"type": "array",
"items": {
"$ref": "#/$defs/PlatformBackup"
}
},
"request_id": {
"type": "string"
},
"meta": {
"$ref": "#/$defs/PageInfo"
}
},
"required": [
"data",
"request_id",
"meta"
]
},
"PlatformBackup": {
"type": "object",
"additionalProperties": false,
"properties": {
"id": {
"type": "string",
"format": "uuid"
},
"name": {
"type": "string"
},
"actor_id": {
"type": "string",
"format": "uuid",
"nullable": true
},
"target_id": {
"type": "string",
"format": "uuid",
"nullable": true
},
"target_name": {
"type": "string"
},
"provider": {
"type": "string"
},
"remote_key": {
"type": "string"
},
"action": {
"type": "string",
"enum": [
"backup",
"delete"
]
},
"state": {
"type": "string",
"enum": [
"queued",
"running",
"uploading",
"succeeded",
"failed",
"delete_queued",
"deleting",
"deleted"
]
},
"progress": {
"type": "integer",
"minimum": 0,
"maximum": 100
},
"message": {
"type": "string"
},
"events": {
"type": "array",
"items": {
"$ref": "#/$defs/PlatformBackupEvent"
}
},
"filename": {
"type": "string"
},
"size_bytes": {
"type": "integer",
"format": "int64",
"nullable": true
},
"sha256": {
"type": "string"
},
"uploaded": {
"type": "boolean"
},
"local_available": {
"type": "boolean"
},
"created_at": {
"type": "string",
"format": "date-time"
},
"updated_at": {
"type": "string",
"format": "date-time"
},
"finished_at": {
"type": "string",
"format": "date-time",
"nullable": true
}
},
"required": [
"id",
"name",
"actor_id",
"target_id",
"target_name",
"provider",
"remote_key",
"action",
"state",
"progress",
"message",
"events",
"filename",
"size_bytes",
"sha256",
"uploaded",
"local_available",
"created_at",
"updated_at",
"finished_at"
]
},
"PlatformBackupEvent": {
"type": "object",
"additionalProperties": false,
"properties": {
"time": {
"type": "string",
"format": "date-time"
},
"message": {
"type": "string"
}
},
"required": [
"time",
"message"
]
},
"PageInfo": {
"type": "object",
"additionalProperties": false,
"properties": {
"page": {
"type": "integer",
"minimum": 1
},
"page_size": {
"type": "integer",
"minimum": 1,
"maximum": 100
},
"total": {
"type": "integer",
"minimum": 0
}
},
"required": [
"page",
"page_size",
"total"
]
}
}
}400 / 401 / 403 / 404 / 409 / 502 / 503 · application/json 响应结构
{
"$ref": "#/$defs/ErrorResponse",
"$defs": {
"ErrorResponse": {
"type": "object",
"additionalProperties": false,
"properties": {
"error": {
"$ref": "#/$defs/ErrorDetail"
},
"request_id": {
"type": "string"
}
},
"required": [
"error",
"request_id"
]
},
"ErrorDetail": {
"type": "object",
"additionalProperties": false,
"properties": {
"code": {
"type": "string",
"enum": [
"NOT_IMPLEMENTED",
"NOT_FOUND",
"AUTH_REQUIRED",
"FORBIDDEN",
"VALIDATION_FAILED",
"CONFLICT",
"SERVICE_UNAVAILABLE",
"INTERNAL_ERROR",
"RATE_LIMITED"
]
},
"message": {
"type": "string"
},
"retryable": {
"type": "boolean"
},
"fields": {
"type": "object",
"additionalProperties": {
"type": "array",
"items": {
"type": "string"
}
}
}
},
"required": [
"code",
"message",
"retryable"
]
}
}
}响应中的 request_id 用于排查请求;异步操作以任务最终状态为准。参阅调用约定、异步任务和错误处理。
本页由版本化 OpenAPI 契约生成。通用资源响应允许的任意字段以运行服务为准,不据此推断尚未定义的字段。
